## ETableClickToAdd

ETableClickToAdd

## Synopsis

    struct              ETableClickToAdd;
    void                e_table_click_to_add_commit         (ETableClickToAdd *etcta);
    gboolean            e_table_click_to_add_is_editing     (ETableClickToAdd *etcta);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----ETableClickToAdd

## Properties

      "header"                   ETableHeader*         : Read / Write
      "height"                   gdouble               : Read
      "is-editing"               gboolean              : Read
      "message"                  gchar*                : Read / Write
      "model"                    ETableModel*          : Read / Write
      "width"                    gdouble               : Read / Write

## Signals

      "cursor-change"                                  : Run Last
      "style-set"                                      : Run Last

## Description

## Details

### struct ETableClickToAdd

    struct ETableClickToAdd;

### e_table_click_to_add_commit ()

    void                e_table_click_to_add_commit         (ETableClickToAdd *etcta);

This routine commits the current thing being edited and returns to just displaying the click to add message.

`etcta` : | The `ETableClickToAdd` to commit.

### e_table_click_to_add_is_editing ()

    gboolean            e_table_click_to_add_is_editing     (ETableClickToAdd *etcta);

## Property Details

### The `"header"` property

      "header"                   ETableHeader*         : Read / Write

### The `"height"` property

      "height"                   gdouble               : Read

Allowed values: >= 0

Default value: 0

### The `"is-editing"` property

      "is-editing"               gboolean              : Read

Whether is in an editing mode.

Default value: FALSE

### The `"message"` property

      "message"                  gchar*                : Read / Write

Default value: NULL

### The `"model"` property

      "model"                    ETableModel*          : Read / Write

### The `"width"` property

      "width"                    gdouble               : Read / Write

Allowed values: >= 0

Default value: 0

## Signal Details

### The `"cursor-change"` signal

    void                user_function                      (ETableClickToAdd *etableclicktoadd,
                                                            gint              arg1,
                                                            gint              arg2,
                                                            gpointer          user_data)             : Run Last

### The `"style-set"` signal

    void                user_function                      (ETableClickToAdd *etableclicktoadd,
                                                            GtkStyle         *arg1,
                                                            gpointer          user_data)             : Run Last